=== debian/control ===
Source: ros-humble-base2d-kinematics
Section: misc
Priority: optional
Maintainer: David V. Lu!! <davidvlu@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake, ros-humble-base2d-kinematics-msgs, ros-humble-geometry-msgs, ros-humble-nav-2d-msgs, ros-humble-rclcpp, ros-humble-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-base2d-kinematics
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-base2d-kinematics-msgs, ros-humble-geometry-msgs, ros-humble-nav-2d-msgs, ros-humble-rclcpp, ros-humble-ros-workspace
Description: Implementation of simple kinematics in two and half dimensions
